package com.m2pool.system.mapper;

import com.m2pool.common.datasource.annotation.Master;
import com.m2pool.system.api.entity.SysUserLeveDate;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description TODO
 * @Date 2024/6/13 11:33
 * @Author dy
 */
@Master
public interface SysUserLevelMapper {

    public SysUserLeveDate getUserLevelInfo(@Param("userId") Long userId);

    /**
     * 批量(逻辑)删除过期用户 根据会员时间表id
     * @param ids
     */
    public void deleteExpireUserLevelInfo(@Param("ids") List<Long> ids);

    public int deleteUserLevelInfoByUserId(@Param("userId") Long userId);

    public int createUserLevelInfo(@Param("vo") SysUserLeveDate vo);

    /**
     * 获取过期会员
     * @return
     */
    public List<Long> getExpireUserIds();


}
